#!/bin/bash

CERT_FILE="/usr/local/nginx/conf/ssl/www.yydjtc.top/fullchain.cer"
SERVICE_NAME="nrs"
TIMESTAMP_FILE="/var/lib/check-cert-update.timestamp"

if [ ! -f "$TIMESTAMP_FILE" ]; then
    # If timestamp file doesn't exist, create it with the current timestamp of the cert file
    stat -c %Y "$CERT_FILE" > "$TIMESTAMP_FILE"
    exit 0
fi

LAST_MODIFIED=$(stat -c %Y "$CERT_FILE")
LAST_CHECK=$(cat "$TIMESTAMP_FILE")

if [ "$LAST_MODIFIED" -ne "$LAST_CHECK" ]; then
    echo "$LAST_MODIFIED" > "$TIMESTAMP_FILE"
    systemctl restart "$SERVICE_NAME"
fi
